Subject: [alpine-aports] [PATCH] main/aspell: /usr/lib/aspell symlink fix, some build fixes, some staff moved to subpackages

From: Valery Kartel <[email-masked]>
Date: Mon, 9 Nov 2015 14:00:24 +0200

---
 main/aspell/APKBUILD      | 47 +++++++++++++++++++++++++++++++++--------------
 main/aspell/libmath.patch | 12 ++++++------
 2 files changed, 39 insertions(+), 20 deletions(-)

diff --git a/main/aspell/APKBUILD b/main/aspell/APKBUILD
index 436a3a1..c4534ef 100644
--- a/main/aspell/APKBUILD
+++ b/main/aspell/APKBUILD
@@ -1,13 +1,14 @@
 # Maintainer: Natanael Copa <[email-masked]>
+# Contributor: Valery Kartel <[email-masked]>
 pkgname=aspell
 pkgver=0.60.6.1
-_pkgmajorver=${pkgver%.*}
-pkgrel=3
+_pkgmajorver=0.60
+pkgrel=4
 pkgdesc="A spell checker designed to eventually replace Ispell"
 url="http://aspell.net/"
 arch="all"
 license="LGPL2+"
-subpackages="$pkgname-dev $pkgname-doc"
+subpackages="$pkgname-compat $pkgname-utils $pkgname-dev $pkgname-doc"
 depends=
 makedepends="ncurses-dev perl"
 install=
@@ -18,20 +19,16 @@ _builddir="$srcdir/$pkgname-$pkgver"
 
 prepare() {
 	cd "$_builddir"
-	update_config_sub || return 1
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
 }
 
 build() { 
 	cd "$_builddir"
-	./configure \
-		--build=$CBUILD \
-		--host=$CHOST \
-		--prefix=/usr \
-		|| return 1
-
-	# we want add -lm to linker flag for libaspell so wil build that
-	# separately. this is just an ugly workaround
-	make libaspell.la LDFLAGS="$LDFLAGS -lm" || return 1
+	./configure --prefix=/usr || return 1
 	make || return 1
 }
 
@@ -40,5 +37,27 @@ package() {
 	make DESTDIR="$pkgdir" install || return 1
 	ln -s $pkgname-${_pkgmajorver} "$pkgdir"/usr/lib/$pkgname || return 1
 }
+
+compat() {
+	pkgdesc="aspell compatibility scripts for ispell and unix spell"
+	arch="noarch"
+	install -d "$subpkgdir"/usr/bin
+	cd "$_builddir"/scripts
+	cp spell ispell "$subpkgdir"/usr/bin/
+}
+
+utils() {
+	pkgdesc="aspell misc utils"
+	depends="perl"
+	arch="all"
+	install -d "$subpkgdir"/usr/bin
+	cd "$pkgdir"/usr/bin
+	mv pre* aspell-import run-with-aspell word-list-compress "$subpkgdir"/usr/bin/
+}
+
 md5sums="e66a9c9af6a60dc46134fdacf6ce97d7  aspell-0.60.6.1.tar.gz
-715f4e138ab33b27201d90cbc98b4fb3  libmath.patch"
+2b866e5365aca89510c8c84359007ba5  libmath.patch"
+sha256sums="f52583a83a63633701c5f71db3dc40aab87b7f76b29723aeb27941eff42df6e1  aspell-0.60.6.1.tar.gz
+a20ea65e3a88123db9e9cd89af71962472a548113c79860d28e74494d65cdad7  libmath.patch"
+sha512sums="f310c7590be98406589b5c26ca36a2ecfe4733f0b40fd6c176b96b7955ef2b5cd0ec9a3d770cf132146ae7a896042b4b698945112995ee1ae66adcfa5542247f  aspell-0.60.6.1.tar.gz
+e390fc1004d59d895ae3cde198265fa769efa1ec729a00d2d8ceca63a4a10d93857a7fef9a1bb7c9434502630e3ae85f2bc2c207c7dffab78469eb344e2275ea  libmath.patch"
diff --git a/main/aspell/libmath.patch b/main/aspell/libmath.patch
index 3fad33a..71f1b26 100644
--- a/main/aspell/libmath.patch
+++ b/main/aspell/libmath.patch
@@ -1,11 +1,11 @@
---- a/Makefile.orig	2009-05-21 08:22:51.000000000 +0000
-+++ b/Makefile	2009-05-21 08:23:06.000000000 +0000
-@@ -568,7 +568,7 @@
+--- old/Makefile.in	2011-07-04 11:58:49.000000000 +0300
++++ new/Makefile.in	2015-11-09 13:20:24.823333353 +0200
+@@ -569,7 +569,7 @@
  	lib/string_list-c.cpp lib/find_speller.cpp lib/speller-c.cpp \
  	lib/string_pair_enumeration-c.cpp lib/new_checker.cpp \
  	modules/filter/url.cpp $(am__append_3)
 -libaspell_la_LIBADD = $(LTLIBINTL) $(PTHREAD_LIB)
 +libaspell_la_LIBADD = $(LTLIBINTL) $(PTHREAD_LIB) -lm
- libaspell_la_LDFLAGS = -version-info 16:4:1 -no-undefined
- #libaspell_la_LDFLAGS = -version-info 16:4:0 -no-undefined
- libpspell_la_SOURCES = lib/dummy.cpp
+ @INCREMENTED_SONAME_FALSE@libaspell_la_LDFLAGS = -version-info 16:5:1 -no-undefined
+ @INCREMENTED_SONAME_TRUE@libaspell_la_LDFLAGS = -version-info 16:5:0 -no-undefined
+ @PSPELL_COMPATIBILITY_TRUE@libpspell_la_SOURCES = lib/dummy.cpp
-- 
2.6.1

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---